%define luaver 5.2
%define lualibdir %{_libdir}/lua/%{luaver}
%define luapkgdir %{_datadir}/lua/%{luaver}

Name:           xavante
Version:        2.3.0
Release:        1%{?dist}
Summary:        Lua Web Server with WSAPI support

Group:          Development/Libraries
License:        MIT
URL:            http://keplerproject.github.com/xavante/
# Source URL: https://github.com/keplerproject/xavante/archive/v%{version}.tar.gz
Source0:        xavante-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  lua(abi) = %{luaver}
Requires:       lua(abi) = %{luaver}
Requires:       lua-copas, lua-socket, lua-filesystem, lua-wsapi

%description
Xavante is a Lua HTTP 1.1 Web server that uses a modular architecture based
on URI mapped handlers. Xavante currently offers a file handler, a redirect
handler and a WSAPI handler. Those are used for general files, URI remapping
and WSAPI applications respectively. 

%prep
%setup -q


%build


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{luapkgdir}
make install LUA_DIR=%{buildroot}%{luapkgdir}


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc README doc/us/*
%{luapkgdir}/*


%changelog
* Wed Oct 01 2014 Tim Niemueller <tim@niemueller.de> - 2.3.0-1
- Upgrade to Xavante 2.3.0
- Default to Lua 5.2

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild
* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Oct 28 2010 Tim Niemueller <tim@niemueller.de> - 2.2.1-1
- Update to 2.2.1 which includes our patch

* Wed Oct 20 2010 Tim Niemueller <tim@niemueller.de> - 2.2.0-1
- Initial package

